import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  uri: `/api/login`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async login({ commit }, { table, phone, password, type, openid }) {
    let body = {};
    if (openid) body.openid = openid;
    else body = { phone, password, type };
    const res = await this.$axios.$post(`${api.uri}`, body);
    if (res.errcode === 0) {
      const token = res.data;
      if (localStorage) localStorage.setItem('token', token);
    }
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
