import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  test: `/api/position`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async queryMap({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/map`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },

  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.test}`, payload);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
