export const system = [
  {
    icon: 'icon-index-copy',
    index: '/adminCenter/homeIndex',
    title: '系统首页',
  },
];
// 公安端
export const adminMenu = [
  {
    icon: 'icon-baoanyuanzheng',
    index: '1',
    title: '保安员管理',
    num: '1',
    subs: [
      {
        index: '1-1',
        title: '报名考试管理',
        num: '1-1',
        subs: [
          {
            index: '/adminPolice/security/baybm',
            title: '保安员报名',
            num: '1-1-1',
          },
          {
            index: '/adminPolice/security/bayzs',
            title: '保安员资料政审',
            num: '1-1-2',
          },
          {
            index: '/adminPolice/security/zwzpcj',
            title: '指纹与照片采集',
            num: '1-1-3',
          },
          {
            index: '/adminPolice/security/baybk',
            title: '保安员补考',
            num: '1-1-4',
          },
        ],
      },
      {
        index: '/adminPolice/security/b_info',
        title: '生物信息补采',
        num: '1-2',
      },
      {
        index: '1-3',
        title: '保安员资格审核',
        num: '1-3',
        subs: [
          {
            index: '/adminPolice/security/bmzgsh',
            title: '报名资格审核',
            num: '1-3-1',
          },
          {
            index: '/adminPolice/security/zgsh',
            title: '资格审批',
            num: '1-3-2',
          },
        ],
      },
      {
        index: '1-4',
        title: '准考证管理',
        num: '1-4',
        subs: [
          {
            index: '/adminPolice/security/bmjf',
            title: '报名缴费',
            num: '1-4-1',
          },
          {
            index: '/adminPolice/security/kcbp',
            title: '考场编排',
            num: '1-4-2',
          },
          {
            index: '/adminPolice/security/zkzdy',
            title: '准考证打印',
            num: '1-4-3',
          },
          // {
          //   index: "/adminPolice/security/zkzfmdy",
          //   title: "准考证封面打印",
          //   num: "1-4-4",
          // },
          {
            index: '/adminPolice/security/zkzcx',
            title: '准考证查询',
            num: '1-4-5',
          },
          {
            index: '/adminPolice/security/ksxxdc',
            title: '考生信息导出',
            num: '1-4-6',
          },
          {
            index: '/adminPolice/security/ksqkdj',
            title: '考试情况登记',
            num: '1-4-7',
          },
          {
            index: '/adminPolice/security/kscjcx',
            title: '考试成绩查询',
            num: '1-4-8',
          },
          // {
          //   index: '/adminPolice/security/zkzdyrz',
          //   title: '准考证打印日志',
          //   num: '1-4-9',
          // },
        ],
      },
      {
        icon: 'icon-shouye',
        index: '1-5',
        title: '保安员证管理',
        num: '1-5',
        subs: [
          // {
          //   index: '/adminPolice/security/bayxxcx',
          //   title: '保安员信息查询',
          //   num: '1-5-1',
          // },
          // {
          //   index: '/adminPolice/security/bayzzz',
          //   title: '保安员证制作',
          //   num: '1-5-2',
          // },
          // {
          //   index: '/adminPolice/security/bayffdj',
          //   title: '保安员证发放登记',
          //   num: '1-5-3',
          // },
          {
            index: '/adminPolice/security/workCard',
            title: '保安员工牌管理',
            num: '1-5-4',
          },
          {
            index: '/adminPolice/security/ysbdsq',
            title: '遗失补打申请',
            num: '1-5-5',
          },
          {
            index: '/adminPolice/security/ysbdsh',
            title: '遗失补打审核',
            num: '1-5-6',
          },
          {
            index: '/adminPolice/security/ysbd',
            title: '遗失补打',
            num: '1-5-7',
          },
          {
            index: '/adminPolice/security/dyrz',
            title: '打印日志',
            num: '1-5-8',
          },
          {
            index: '/adminPolice/security/qbbayxxcx',
            title: '全部保安员信息查询',
            num: '1-5-9',
          },
          {
            index: '/adminPolice/security/baoanbash',
            title: '保安员证备案（绑定）审核',
            num: '1-5-10',
          },
        ],
      },
      {
        icon: 'icon-shouye',
        index: '1-6',
        title: '统计分析',
        num: '1-6',
        subs: [
          // {
          //   index: "/adminPolice/security/hjpcshctj",
          //   title: "户籍派出所核查统计",
          //   num: "1-6-1",
          // },
          {
            index: '/adminPolice/security/bmzstj',
            title: '报名政审统计',
            num: '1-6-2',
          },
          {
            index: '/adminPolice/security/bmqktj',
            title: '报名情况统计',
            num: '1-6-3',
          },
          {
            index: '/adminPolice/security/ksqktj',
            title: '考试情况统计',
            num: '1-6-4',
          },
        ],
      },
      {
        icon: 'icon-shouye',
        index: '1-7',
        title: '保安员信息导入',
        num: '1-7',
        subs: [
          {
            index: '/adminPolice/security/baybmxxpldr',
            title: '保安员报名信息批量导入',
            num: '1-7-1',
          },
          {
            index: '/adminPolice/security/bayxxpldr',
            title: '保安员信息批量导入',
            num: '1-7-2',
          },
        ],
      },
    ],
  },
  {
    icon: 'icon-hangzheng',
    index: '2',
    title: '保安公司管理',
    num: '2',
    subs: [
      {
        index: '2-1',
        title: '保安服务公司',
        num: '2-1',
        subs: [
          {
            index: '/adminPolice/companyone/one',
            title: '派出所审核',
            num: '2-1-1',
          },
          {
            index: '/adminPolice/companyone/two',
            title: '分局审核',
            num: '2-1-2',
          },
          {
            index: '/adminPolice/companyone/thr',
            title: '市局审核',
            num: '2-1-3',
          },
          {
            index: '/adminPolice/companyone/four',
            title: '服务许可证管理',
            num: '2-1-4',
          },
          {
            index: '/adminPolice/companyone/five',
            title: '服务许可证制作',
            num: '2-1-5',
          },
          {
            index: '/adminPolice/companyone/six',
            title: '服务许可证发放登记',
            num: '2-1-6',
          },
          {
            index: '/adminPolice/companyone/seven',
            title: '法人变更市级审核',
            num: '2-1-7',
          },
        ],
      },
      {
        index: '2-2',
        title: '自行招用保安员单位',
        num: '2-2',
        subs: [
          {
            index: '/adminPolice/companytwo/one',
            title: '派出所审核',
            num: '2-2-1',
          },
          {
            index: '/adminPolice/companytwo/two',
            title: '分局审核',
            num: '2-2-2',
          },
          {
            index: '/adminPolice/companytwo/thr',
            title: '市局审核',
            num: '2-2-3',
          },
          {
            index: '/adminPolice/companytwo/four',
            title: '备案证明管理',
            num: '2-2-4',
          },
          {
            index: '/adminPolice/companytwo/five',
            title: '备案证明制作',
            num: '2-2-5',
          },
          {
            index: '/adminPolice/companytwo/six',
            title: '备案证明发放登记',
            num: '2-2-6',
          },
        ],
      },
      {
        index: '2-3',
        title: '跨区域保安服务公司',
        num: '2-3',
        subs: [
          {
            index: '/adminPolice/companythr/one',
            title: '派出所审核',
            num: '2-3-1',
          },
          {
            index: '/adminPolice/companythr/two',
            title: '分局审核',
            num: '2-3-2',
          },
          {
            index: '/adminPolice/companythr/thr',
            title: '市局审核',
            num: '2-3-3',
          },
        ],
      },
      {
        index: '2-4',
        title: '保安服务分公司',
        num: '2-4',
        subs: [
          {
            index: '/adminPolice/companyfour/one',
            title: '派出所审核',
            num: '2-4-1',
          },
          {
            index: '/adminPolice/companyfour/two',
            title: '分局审核',
            num: '2-4-2',
          },
          {
            index: '/adminPolice/companyfour/thr',
            title: '市局审核',
            num: '2-4-3',
          },
        ],
      },
      {
        index: '2-5',
        title: '保安培训单位',
        num: '2-5',
        subs: [
          {
            index: '/adminPolice/companyfive/one',
            title: '派出所审核',
            num: '2-5-1',
          },
          {
            index: '/adminPolice/companyfive/two',
            title: '分局审核',
            num: '2-5-2',
          },
          {
            index: '/adminPolice/companyfive/thr',
            title: '市局审核',
            num: '2-5-3',
          },
        ],
      },
    ],
  },
  {
    icon: 'icon-ico_zonghexinxi_xuanzhong',
    index: '3',
    title: '综合信息管理',
    num: '3',
    subs: [
      {
        index: '3-1',
        title: '综合信息维护',
        num: '3-1',
        subs: [
          {
            index: '/adminPolice/information/bayxxwh',
            title: '保安员信息维护',
            num: '3-1-1',
          },
          {
            index: '/adminPolice/information/fwgsxxwh',
            title: '服务公司信息维护',
            num: '3-1-2',
          },
          {
            index: '/adminPolice/information/zxzydwxxwh',
            title: '自行招用单位信息维护',
            num: '3-1-3',
          },
          {
            index: '/adminPolice/information/kqyfwgsxxwh',
            title: '跨区域服务公司信息维护',
            num: '3-1-4',
          },
          {
            index: '/adminPolice/information/bafwgsxxwh',
            title: '保安服务分公司信息维护',
            num: '3-1-5',
          },
        ],
      },
      {
        index: '3-2',
        title: '综合信息查询',
        num: '3-2',
        subs: [
          {
            index: '/adminPolice/information/zbqccc',
            title: '装备器材查询',
            num: '3-2-1',
          },
          {
            index: '/adminPolice/information/clxxcx',
            title: '车辆信息查询',
            num: '3-2-2',
          },
          // {
          //   index: "/adminPolice/information/qzxxcx",
          //   title: "枪证信息查询",
          //   num: "3-2-3",
          // },
          {
            index: '/adminPolice/information/qxxcx',
            title: '枪支信息查询',
            num: '3-2-4',
          },
          {
            index: '/adminPolice/information/bapxrycx',
            title: '保安培训人员查询',
            num: '3-2-5',
          },
          {
            index: '/adminPolice/information/babafwqycx',
            title: '备案保安服务区域查询',
            num: '3-2-6',
          },
          {
            index: '/adminPolice/information/bayzhcx',
            title: '保安员综合查询',
            num: '3-2-7',
          },
          {
            index: '/adminPolice/information/qyzhxxcx',
            title: '企业综合信息查询',
            num: '3-2-8',
          },
          {
            index: '/adminPolice/information/baoannews',
            title: '保安资讯信息查询',
            num: '3-2-9',
          },
          // {
          //   index: "/adminPolice/information/zdbdwtrycx",
          //   title: "自动比对问题人员查询",
          //   num: "3-2-10",
          // },
        ],
      },
    ],
  },
  {
    icon: 'icon-tousu',
    index: '4',
    title: '位置监控',
    num: '4',
    subs: [
      {
        index: '/adminPolice/location/locamonitor',
        title: '保安员实时位置监控',
        num: '4-1',
      },
      {
        index: '/adminPolice/location/trajectory',
        title: '保安员行动轨迹查询',
        num: '4-2',
      },
    ],
  },
  {
    icon: 'icon-richang',
    index: '5',
    title: '协会业务',
    num: '5',
    subs: [
      {
        index: '/adminPolice/complaint/tsxxcx',
        title: '投诉信息查询',
        num: '5-1',
      },
      {
        index: '/adminPolice/complaint/tsxxclcx',
        title: '投诉信息处理查询',
        num: '5-2',
      },
      {
        index: '/adminPolice/notification/xctbgl',
        title: '协查通报管理',
        num: '5-3',
      },
      // {
      //   index: '/adminPolice/notification/xctbcx',
      //   title: '协查通报查询',
      //   num: '5-4',
      // },
      {
        index: '/adminPolice/notification/xctbhfqkck',
        title: '协查通报回复情况查看',
        num: '5-5',
      },
      // {
      //   index: '/adminPolice/notification/xctbcxgl',
      //   title: '协查通报撤销管理',
      //   num: '5-6',
      // },
      {
        index: '/adminPolice/reward/qyjlgl',
        title: '企业奖励管理',
        num: '5-7',
      },
      // {
      //   index: '/adminPolice/reward/qyjlcx',
      //   title: '企业奖励查询',
      //   num: '5-8',
      // },
      {
        index: '/adminPolice/daily/rcjcgl',
        title: '日常检查管理',
        num: '5-9',
      },
      // {
      //   index: '/adminPolice/daily/rcjccx',
      //   title: '日常检查查询',
      //   num: '5-10',
      // },
    ],
  },
  {
    icon: 'icon-richang',
    index: '6',
    title: '系统管理',
    num: '6',
    subs: [
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/securitydepart',
        title: '公安端部门管理',
        num: '6-1',
      },
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/securityrole',
        title: '公安端角色管理',
        num: '6-2',
      },
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/securityaccount',
        title: '公安端账号管理',
        num: '6-3',
      },
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/companyaccount',
        title: '企业账号管理',
        num: '6-4',
      },
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/baoanaccount',
        title: '保安员账号管理',
        num: '6-5',
      },
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/societyaccount',
        title: '协会端账号管理',
        num: '6-6',
      },
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/examaccount',
        title: '考试端账号管理',
        num: '6-7',
      },
      {
        icon: 'icon-shouye',
        index: '6-8',
        title: '企业类型管理',
        num: '6-8',
        subs: [
          // {
          //   index: '/adminPolice/system/comapnytype',
          //   title: '类型管理',
          //   num: '6-8-1',
          // },
          {
            index: '/adminPolice/system/companypower',
            title: '权限分配',
            num: '6-8-2',
          },
        ],
      },
      {
        icon: 'icon-shouye',
        index: '/adminPolice/system/reserve',
        title: '信息采集预约安排',
        num: '6-9',
      },
    ],
  },
  {
    icon: 'icon-richang',
    index: '/adminPolice/video',
    title: '视频管理接入',
    num: '7',
  },
];
// 企业端
// 增加pass字段:如果有该字段且为true,没有通过审核也可以使用
export const companyMenu = [
  {
    icon: 'icon-qiyeshenfenrz',
    index: '/admincompany/baseInfo',
    title: '申报企业信息',
    num: '1',
    pass: true,
  },
  {
    icon: 'icon-monikaoshi',
    index: '2',
    title: '保安员考试管理',
    num: '2',
    subs: [
      {
        index: '/admincompany/examination/sign',
        title: '考试报名',
        num: '2-1',
      },
      // {
      //   index: "/admincompany/examination/messagecollect",
      //   title: "信息采集（有设备）",
      //   num: "2-2",
      // },
      // {
      //   index: "/admincompany/examination/makemessagecollect",
      //   title: "预约信息采集（企业）",
      //   num: "2-3",
      // },
      {
        index: '/admincompany/examination/examroom',
        title: '考场信息',
        num: '2-4',
      },
      // {
      //   index: "/admincompany/examination/ticketprint",
      //   title: "准考证打印",
      //   num: "2-5",
      // },
    ],
  },
  {
    icon: 'icon-zhengjianguanli-15',
    index: '3',
    title: '保安员管理',
    num: '3',
    subs: [
      {
        index: '/admincompany/security/checkinfo',
        title: '保安员信息核查',
        num: '3-1',
      },
      {
        index: '/admincompany/security/workinfo',
        title: '保安员从业信息',
        num: '3-2',
      },
      {
        index: '/admincompany/security/servicedispatch',
        title: '保安员服务派遣',
        num: '3-3',
      },
      {
        index: '/admincompany/security/serviceadmin',
        title: '服务派遣管理',
        num: '3-4',
      },
      {
        index: '/admincompany/security/cert',
        title: '保安员证件信息查询',
        num: '3-7',
      },
      {
        index: '/admincompany/security/info',
        title: '保安员信息查询',
        num: '3-8',
      },
      {
        index: '3-5',
        title: '考勤与监管',
        num: '3-5',
        subs: [
          {
            index: '/admincompany/security/clock',
            title: '保安员打卡情况查询',
            num: '3-5-1',
          },
          {
            index: '/admincompany/security/location',
            title: '保安员实时位置监控',
            num: '3-5-2',
          },
          {
            index: '/admincompany/security/act',
            title: '保安员行动轨迹查询',
            num: '3-5-3',
          },
        ],
      },
      {
        index: '3-6',
        title: '招聘管理',
        num: '3-6',
        subs: [
          {
            index: '/admincompany/security/recruitwork',
            title: '岗位信息',
            num: '3-6-1',
          },
          {
            index: '/admincompany/security/personnel',
            title: '人才库',
            num: '3-6-2',
          },
        ],
      },
    ],
  },
  {
    icon: 'icon-daohang_fuwuduixiangguanli',
    index: '4',
    title: '服务对象管理',
    num: '4',
    subs: [
      {
        index: '/admincompany/service/target',
        title: '服务对象查询',
        num: '4-1',
      },
    ],
  },
  {
    icon: 'icon-ico_zonghexinxi_xuanzhong',
    index: '5',
    title: '装备管理',
    num: '5',
    subs: [
      {
        index: '/admincompany/equipment/zbqccc',
        title: '装备器材管理',
        num: '5-1',
      },
      {
        index: '/admincompany/equipment/qxxcx',
        title: '枪支管理',
        num: '5-2',
      },
      {
        index: '/admincompany/equipment/clxxcx',
        title: '车辆管理',
        num: '5-3',
      },
      {
        index: '/admincompany/equipment/clothing',
        title: '保安企业服装购买情况',
        num: '5-4',
      },
    ],
  },
  {
    icon: 'icon-fuwuquyu',
    index: '6',
    title: '服务区域管理',
    num: '6',
    subs: [
      {
        index: '/admincompany/serviceregion/fwqycx',
        title: '服务区域查询',
        num: '6-1',
      },
    ],
  },
  {
    icon: 'icon-danweixinxi',
    index: '/admincompany/information',
    title: '单位基本信息浏览',
    num: '7',
  },
  {
    icon: 'icon-farenshenpi',
    index: '/admincompany/legalchange',
    title: '法人变更申请',
    num: '8',
  },
  {
    icon: 'icon-richang',
    index: '/admincompany/daily',
    title: '日常检查查询',
    num: '9',
  },
  {
    icon: 'icon-jiangli',
    index: '/admincompany/reward',
    title: '企业奖励',
    num: '10',
  },
  {
    icon: 'icon-xinxixiecha',
    index: '/admincompany/notification/xctbcx',
    title: '协查通报查询',
    num: '11',
  },
  // {
  //   icon: "icon-xinxixiecha",
  //   index: "10",
  //   title: "协查通报",
  //   num: "12",
  //   subs: [
  //     {
  //       index: "/admincompany/notification/xctbcx",
  //       title: "协查通报查询",
  //       num: "12-1",
  //     },
  //     {
  //       index: "/admincompany/notification/xctbhf",
  //       title: "协查通报回复",
  //       num: "12-2",
  //     },
  //     {
  //       index: "/admincompany/notification/xctbxq",
  //       title: "协查通报详情",
  //       num: "12-3",
  //     },
  //   ],
  // },
];

// 考试端
export const examMenu = [
  {
    index: '/baoanexam/security/kcbp',
    title: '考场编排',
    num: '1-3-2',
  },
  {
    index: '/baoanexam/security/zkzdy',
    title: '准考证打印',
    num: '1-3-3',
  },
  // {
  //   index: "/baoanexam/security/zkzfmdy",
  //   title: "准考证封面打印",
  //   num: "1-3-4",
  // },
  {
    index: '/baoanexam/security/zkzcx',
    title: '准考证查询',
    num: '1-3-5',
  },
  {
    index: '/baoanexam/security/ksxxdc',
    title: '考生信息导出',
    num: '1-3-6',
  },
  {
    index: '/baoanexam/security/ksqkdj',
    title: '考试情况登记',
    num: '1-3-7',
  },
  {
    index: '/baoanexam/security/kscjcx',
    title: '考试成绩查询',
    num: '1-3-8',
  },
  // {
  //   index: '/baoanexam/security/zkzdyrz',
  //   title: '准考证打印日志',
  //   num: '1-3-9',
  // },
  {
    index: 'exam',
    title: '考试管理',
    num: '1-3-10',
    subs: [
      {
        index: '/exam/questionType',
        title: '考试题型设置',
        num: '1-4-1',
      },
      {
        index: '/exam/config',
        title: '考试设置',
        num: '1-4-2',
      },
      {
        index: '/exam/question',
        title: '考试题库',
        num: '1-4-3',
      },
      // {
      //   index: '/exam/exam',
      //   title: '试卷管理',
      //   num: '1-4-4',
      // },
      {
        index: '/exam/answer',
        title: '考试结果',
        num: '1-4-5',
      },
    ],
  },
];
// 协会端
export const societyMenu = [
  {
    index: '/baoansociety/complaint/tsxxcx',
    title: '投诉信息查询',
    num: '6-1',
  },
  {
    index: '/baoansociety/complaint/tsxxclcx',
    title: '投诉信息处理查询',
    num: '6-2',
  },
  {
    index: '/baoansociety/notification/xctbgl',
    title: '协查通报管理',
    num: '7-1',
  },
  // {
  //   index: '/baoansociety/notification/xctbcx',
  //   title: '协查通报查询',
  //   num: '7-2',
  // },
  {
    index: '/baoansociety/notification/xctbhfqkck',
    title: '协查通报回复情况查看',
    num: '7-3',
  },
  // {
  //   index: '/baoansociety/notification/xctbcxgl',
  //   title: '协查通报撤销管理',
  //   num: '7-4',
  // },
  {
    index: '/baoansociety/reward/qyjlgl',
    title: '企业奖励管理',
    num: '8-1',
  },
  // {
  //   index: '/baoansociety/reward/qyjlcx',
  //   title: '企业奖励查询',
  //   num: '8-2',
  // },
  {
    index: '/baoansociety/daily/rcjcgl',
    title: '日常检查管理',
    num: '9-1',
  },
  // {
  //   index: '/baoansociety/daily/rcjccx',
  //   title: '日常检查查询',
  //   num: '9-2',
  // },
];
