import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  test: `/api/usual`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async oneQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/examination/statis`, {
      ...info,
    });
    return res;
  },
  async twoQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/examine/statis`, {
      ...info,
    });
    return res;
  },
  async thrQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/signup/statis`, {
      ...info,
    });
    return res;
  },
  async fourQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/securitylevel/statis`, {
      ...info,
    });
    return res;
  },
  async fiveQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/serviceobject/statis`, {
      ...info,
    });
    return res;
  },
  async sixQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/securityarea/statis`, {
      ...info,
    });
    return res;
  },
  async servenQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/headerstatis/statis`, {
      ...info,
    });
    return res;
  },
  async eightQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/headerstatis3/statis`, {
      ...info,
    });
    return res;
  },
  // 新增2021-12-20
  // 一级
  async newOnequery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/newheaderstatis1/statis`, {
      ...info,
    });
    return res;
  },
  async newTwoquery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/newheaderstatis2/statis`, {
      ...info,
    });
    return res;
  },

  // 二级
  async newThrquery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/newheaderstatis3/statis`, {
      ...info,
    });
    return res;
  },
  // 三级
  async newFivequery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/newheaderstatis5/statis`, {
      ...info,
    });
    return res;
  },
  async newSixquery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/newheaderstatis6/statis`, {
      ...info,
    });
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
