import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  test: `/api/usual/home_company`,
};
const state = () => ({});
const mutations = {};

const actions = {
  // 查询派出所统计数据
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}/query`, { ...info });
    return res;
  },
  // 查询分局统计数据
  async twoQuery({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.test}_two/query`, { ...info });
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
