import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  test: `/api/import`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async importExam({ commit }, payload) {
    const res = await this.$axios.$post(`${api.test}/examinee`, payload);
    return res;
  },
  async importStaff({ commit }, payload) {
    const res = await this.$axios.$post(`${api.test}/staff`, payload);
    return res;
  },
  async securityGuard({ commit }, payload) {
    const res = await this.$axios.$post(`${api.test}/securityGuard`, payload);
    return res;
  },
  async guardWork({ commit }, payload) {
    const res = await this.$axios.$post(`${api.test}/guardWork`, payload);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
